admupgrade(1M)

NAME
admupgrade - upgrade individual AutoClients and diskless clients.

SYNOPSIS

admupgrade [-f] -p path_to_media client_name...

DESCRIPTION
The admupgrade command provides a way to upgrade clients to a newer release of Solaris. You can use admupgrade to upgrade one or more clients in a single operation. The specified clients will be upgraded to the OS release that is on the media specified with the -p option. That OS service should already be installed on the server. Once the upgrade is completed, any applicable spooled patches will be applied to the client.

AVAILABILITY
SUNWsacb

/opt/SUNWadm/bin

OPTIONS
-f When upgrading, don't save modified files. If this option is specified, then any modified files get saved as <file>.<previous_os_release>. For example if /usr/lib/sendmail was replaced on a S2.5 system, then when a client was upgraded this file would get renamed /usr/lib/sendmail.2.5.

-p path_to_media
    Specify the path to the Solaris media that will be used during the upgrade.

client_name...
    One or more client names to be upgraded.

RESTRICTIONS

This command must be run as root on the server.

EXAMPLES

The following example first installs the Solaris 2.5.1 sun4m service onto the server using admhostmod and then upgrades two clients to 2.5.1.
    admhostmod -x mediapath=server:/cdrom/cdrom0/s0
        -x platform=sparc.sun4m.Solaris_2.5.1 server
    admupgrade -p /cdrom/cdrom0/s0 client1 client2

SEE ALSO
admhostmod(1m), admclientpatch(1m)